Subject: Support bitcoin as a payment method

Description: Is there any interest in Bitcoin being supported as a payment method?





If you are unfamiliar with Bitcoin:


http://weusecoins.org/


http://bitcoin.org/

History

2013-11-22 12:10 - hinata

Hey guys, with all the recent BTC news where does bitfolk stand on this now?





I for one would love to move more services to you if I could pay with BTC (and I know a few other geeks who would second that)


-david

2013-11-22 12:23 - admin

As this issue has only 1 vote it is of very low priority.





Here's a link to the list of issues by votes:





https://tools.bitfolk.com/redmine/projects/bitfolk/issues?query_id=1





It is not always the case that things will be worked on according to the number of votes they have, but it is more likely, so please vote for things that 

you have an interest in.





However I am actually currently working on a bitcoin payment method because it should be pretty easy to do - everything else is harder at the 

moment. :)





So I hope to have some news for you in the next couple of weeks.

2013-11-22 12:47 - admin

In case anyone is interested I intend to follow a method similar to that used by Individual Pubs Ltd as described here:





http://www.individualpubs.co.uk/bitcoin.html





That is:





* BitFolk Ltd will be using the services of Andrew Smith as a sole trader as a bitcoin payment gateway


* customer will be presented with a unique payment address per transaction with QR code for those using mobile wallets


* A regularly-updated BTC/GBP exchange rate will be fetched from Bitstamp and used to calculate a BTC amount for any given payment


* Once the correct BTC amount is paid to the address the invoice(s) will be marked paid


* The invoice will remain in GBP and show VAT as usual





The only real downside of this method is that overpayments are tricky to support. It may be possible to agree via support ticket an address to send 

change back to. In practice given that hardly anyone will pay by BTC I don't see this being a big problem.

2013-12-18 10:21 - admin

- Status changed from New to Closed
This is now implemented:





https://tools.bitfolk.com/wiki/Bitcoin
